summaryrefslogtreecommitdiffhomepage
path: root/android/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'android/scripts')
-rwxr-xr-xandroid/scripts/run-instrumented-tests-repeat.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/android/scripts/run-instrumented-tests-repeat.sh b/android/scripts/run-instrumented-tests-repeat.sh
new file mode 100755
index 0000000000..146cbf3d05
--- /dev/null
+++ b/android/scripts/run-instrumented-tests-repeat.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -eu
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+cd "$SCRIPT_DIR"
+
+TEST_TYPE=$1
+REPEAT_COUNT=$2
+
+for ((i=1; i <= REPEAT_COUNT; i++))
+do
+ echo "### Run $i ###"
+ ./run-instrumented-tests.sh "$TEST_TYPE"
+done